Skip to main content
GET
/
shop
Retrieve Shop
curl --request GET \
  --url https://api.nuwebgroup.com/v1/shop \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "shops",
    "id": 1,
    "attributes": {
      "name": "Sally's Sizzling Sausage Soiree"
    },
    "relationships": {
      "saleItems": {
        "data": {
          "type": "saleItems",
          "id": 1
        }
      }
    },
    "links": {
      "self": "http://api.willms.com/v1/shopid=5"
    }
  },
  "included": [
    {
      "type": "items",
      "id": 1,
      "attributes": {
        "name": "Sausage Bap"
      }
    },
    {
      "type": "saleItems",
      "id": 1,
      "attributes": {
        "name": "Sausage Bag"
      },
      "relationships": {
        "items": {
          "data": {
            "type": "items",
            "id": 1
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

id
integer

The shop's ID. This is required.

include
enum<string>[]

A list of related resources you wish to include in the response. Values can be a url encoded array, or comma separated string.

Available options:
saleItems
withTrashed
enum<string>

Controls records returned depending on their deletedAt status. This is a global flag, so will apply to all resources, including relationships such as resources returned under the included attribute.

  • true to include deleted records
  • false to exclude deleted records (or leave blank)

Available options:
true,
false
only
string

A list of attributes that you wish to be returned in the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. currencies.name. Can be used in conjunction with except providing both parameters don't reference the same resource.

except
string

A list of attributes that you wish to exclude from the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. currencies.name. Can be used in conjunction with only providing both parameters don't reference the same resource.

Response

Successfully retrieved the shop.

data
object
included
object[]